javax.swing.plaf.metal

## Class MetalCheckBoxIcon

- java.lang.Object
- - javax.swing.plaf.metal.MetalCheckBoxIcon

All Implemented Interfaces:
  Serializable, Icon, UIResource

    public class MetalCheckBoxIcon
    extends Object
    implements Icon, UIResource, Serializable

CheckboxIcon implementation for OrganicCheckBoxUI

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

### Constructor Summary

Constructors
Constructor and Description
`MetalCheckBoxIcon()`

### Method Summary

Methods
`protected void` `drawCheck(Component c, Graphics g, int x, int y)`
`protected int` `getControlSize()`
`int` `getIconHeight()` Returns the icon's height.
`int` `getIconWidth()` Returns the icon's width.
`void` `paintIcon(Component c, Graphics g, int x, int y)` Draw the icon at the specified location.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetalCheckBoxIcon

    public MetalCheckBoxIcon()

### Method Detail

#### getControlSize

    protected int getControlSize()

#### paintIcon

    public void paintIcon(Component c,
                 Graphics g,
                 int x,
                 int y)

Description copied from interface: `Icon`
Draw the icon at the specified location. Icon implementations may use the Component argument to get properties useful for painting, e.g. the foreground or background color.

Specified by:
  `paintIcon` in interface `Icon`

#### drawCheck

    protected void drawCheck(Component c,
                 Graphics g,
                 int x,
                 int y)

#### getIconWidth

    public int getIconWidth()

Description copied from interface: `Icon`
Returns the icon's width.

Specified by:
  `getIconWidth` in interface `Icon`
Returns:
  an int specifying the fixed width of the icon.

#### getIconHeight

    public int getIconHeight()

Description copied from interface: `Icon`
Returns the icon's height.

Specified by:
  `getIconHeight` in interface `Icon`
Returns:
  an int specifying the fixed height of the icon.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.